﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Threading;

namespace DiscardUpdateCellInEditMode
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private MainWindowViewModel ViewModel;

        public MainWindow()
        {
            InitializeComponent();
            ViewModel = new MainWindowViewModel { Persons = new List<Person> { new Person { Name = "Person name" } } };
            DataContext = ViewModel;

            var dispatcherTimer = new DispatcherTimer(DispatcherPriority.Normal) {Interval = TimeSpan.FromSeconds(5)};

            dispatcherTimer.Tick += UpdateCellValue;
            dispatcherTimer.Start();
        }

        private void UpdateCellValue(object sender, EventArgs eventArgs)
        {
            ViewModel.Persons[0].Name = newValueTextBox.Text;
        }
    }
}
